using Contracts.DTO;
using Contracts.SearchModels;

namespace Contracts.Repositories;

public interface ISpendingGroupRepo
{
    Task<SpendingGroupDto?> Get(SpendingGroupSearch search);
    Task<IEnumerable<SpendingGroupDto>> GetList(SpendingGroupSearch? search = null);
    Task<SpendingGroupDto> Create(SpendingGroupDto spendingGroup);
    Task<SpendingGroupDto?> Delete(SpendingGroupSearch search);
    Task<SpendingGroupDto?> Update(SpendingGroupDto spendingGroup);
}
