using Contracts.DTO;
using Contracts.SearchModels;

namespace Contracts.Repositories;

public interface IUserRepo
{
    public Task<UserDto?> Get(UserSearch search);
    public Task<UserDto> Create(UserDto user);
    public Task<UserDto?> Update(UserDto user);
    public Task<UserDto?> Delete(UserSearch search);
}