using Contracts.Services;
using Services.Domain;

namespace Controllers.Extensions;

public static class AddDomainServicesExtension
{
    public static void AddDomainServices(this IServiceCollection services)
    {
        services.AddTransient<IAuthService, AuthService>();
        services.AddTransient<IUserService, UserService>();
    }
}