using Contracts.Repositories;
using Contracts.Services;
using Infrastructure.Repositories;
using Services.Domain;

namespace Controllers.Extensions;

public static class AddReposExtension
{
    public static void AddRepos(this IServiceCollection services)
    {
        services.AddTransient<IUserRepo, UserRepo>();
    }
}